﻿$ErrorActionPreference = 'Stop'

$packageName    = $env:ChocolateyPackageName
$installerType  = 'exe'
$url            = 'https://download.poedit.net/Poedit-2.2.3-setup.exe'
$silentArgs     = '/verysilent /norestart'
$checksum       = '86F2446F7C23AE8B05C8263E0BA2BED711E4F48C6A43A9C6BD6826EEE0AD7148'
$checksumType   = 'sha256'
$validExitCodes = @(0)

$packageArgs = @{
  packageName    = $packageName
  fileType       = $installerType
  url            = $url
  url64bit       = $url
  silentArgs     = $silentArgs
  checksum       = $checksum
  checksum64     = $checksum
  checksumType   = $checksumType
  checksumType64 = $checksumType
  validExitCodes = $validExitCodes
}

Install-ChocolateyPackage @packageArgs
